SoProfileCoordinate3(3IV)

NAME
SoProfileCoordinate3 — rational profile coordinate node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoProfileCoordinate3

SYNOPSIS
#include <Inventor/nodes/SoProfileCoordinate3.h>

Fields from class SoProfileCoordinate3:

SoMFVec3f
point

Methods from class SoProfileCoordinate3:

SoProfileCoordinate3()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a set of rational 3D coordinates to be used by subsequent SoProfile nodes. (These coordinates may be used for any type of profile; they may be useful in some cases for specifying control points for SoNurbsProfile nodes.) This node does not produce a visible result during rendering; it simply replaces the current profile coordinates in the traversal state for subsequent nodes to use.

FIELDS
SoMFVec3f
point
Rational 3D profile coordinate points.

METHODS

SoProfileCoordinate3()
Creates a profile coordinate node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Sets profile coordinates in current traversal state.

FILE FORMAT/DEFAULTS
ProfileCoordinate3 {
point	0 0 1
}

SEE ALSO
SoProfile, SoProfileCoordinate2